#135 Square pen cursor in Fedora 20

v1.0_(example)
closed
nobody
pen cursor (1)
5
2014-05-29
2014-01-23
stephancb
No

In Fedora 20 the pen cursor is including a relatively large square covering the background (pdf file). This makes it very difficult to annotate with the pen tool. After applying the large pen cursor patch, also the large pen cursor is surrounded by this square. The pen cursor was fine in Fedora 19. When installing the xournal package for Fedora 19 in Fedora 20, also this xournal has the unusable pen cursor. Some changes from Fedora 19 to 20 in other packages must have caused this, but it can perhaps be fixed within xournal. I'm using the default gnome-shell environment of Fedora. The attached photo shows the square pen cursor inside the blue figure.

1 Attachments

Related

Bugs: #135

Discussion

  • Denis Auroux

    Denis Auroux - 2014-01-23

    There's a number of cursor-related bugs in Fedora 20, it seems. Not much I can do about it if the building of custom cursors from pixmaps and transparency masks is broken... But have you tried using the version in the git or cvs repository, and enabling Options -> Pencil Cursor ? This would presumably circumvent the bug by having a stock cursor instead of a custom-built one for the pen tool.

    Denis

     
  • stephancb

    stephancb - 2014-01-24

    Yes, the pencil cursor, enableable in the xournal from cvs, works. This is a very helpful workaround, until the problem gets hopefully fixed eventually in Fedora 20. Thank you.

     
  • Denis Auroux

    Denis Auroux - 2014-05-29

    I now have Fedora 20 and have no problem with the regular cursors. Can you confirm this bug can be closed?

     
    • stephancb

      stephancb - 2014-05-29

      Yes, also for me there is no more problem with the pen cursor using an
      updated Fedora 20.

      On Thu, 29 May 2014 05:59:44 +0000
      "Denis Auroux" auroux@users.sf.net wrote:

      I now have Fedora 20 and have no problem with the regular cursors.
      Can you confirm this bug can be closed?


      [bugs:#135] Square pen cursor in Fedora 20

      Status: open
      Group: v1.0_(example)
      Labels: pen cursor
      Created: Thu Jan 23, 2014 11:01 AM UTC by stephancb
      Last Updated: Fri Jan 24, 2014 07:59 AM UTC
      Owner: nobody

      In Fedora 20 the pen cursor is including a relatively large square
      covering the background (pdf file). This makes it very difficult to
      annotate with the pen tool. After applying the large pen cursor
      patch, also the large pen cursor is surrounded by this square. The
      pen cursor was fine in Fedora 19. When installing the xournal package
      for Fedora 19 in Fedora 20, also this xournal has the unusable pen
      cursor. Some changes from Fedora 19 to 20 in other packages must have
      caused this, but it can perhaps be fixed within xournal. I'm using
      the default gnome-shell environment of Fedora. The attached photo
      shows the square pen cursor inside the blue figure.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/xournal/bugs/135/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #135

  • Denis Auroux

    Denis Auroux - 2014-05-29
    • status: open --> closed
     
  • Denis Auroux

    Denis Auroux - 2014-05-29

    closing the bug -- it's been fixed by Fedora.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks